<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: sd_boundary::boundary_update_bc Interface Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacesd__boundary.html">sd_boundary</a></li><li class="navelem"><a class="el" href="interfacesd__boundary_1_1boundary__update__bc.html">boundary_update_bc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="interfacesd__boundary_1_1boundary__update__bc-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">sd_boundary::boundary_update_bc Interface Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for sd_boundary::boundary_update_bc:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="interfacesd__boundary_1_1boundary__update__bc__coll__graph.png" border="0" usemap="#sd__boundary_1_1boundary__update__bc_coll__map" alt="Collaboration graph"/></div>
<map name="sd__boundary_1_1boundary__update__bc_coll__map" id="sd__boundary_1_1boundary__update__bc_coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad3168c991c758f608d1c5205411a61d9"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacesd__boundary_1_1boundary__update__bc.html#ad3168c991c758f608d1c5205411a61d9">boundary_update_shared_bc</a> (shared_bc, sd)</td></tr>
<tr class="separator:ad3168c991c758f608d1c5205411a61d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a303635691c229c64926042473f2957d6"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacesd__boundary_1_1boundary__update__bc.html#a303635691c229c64926042473f2957d6">boundary_update_bc_unit</a> (first_bc, sd)</td></tr>
<tr class="separator:a303635691c229c64926042473f2957d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf0ecb497c799aa006538c1447681551"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacesd__boundary_1_1boundary__update__bc.html#abf0ecb497c799aa006538c1447681551">boundary_update_bc_r1</a> (bc_r1, boundary, sd)</td></tr>
<tr class="separator:abf0ecb497c799aa006538c1447681551"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function/Subroutine Documentation</h2>
<a id="abf0ecb497c799aa006538c1447681551"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf0ecb497c799aa006538c1447681551">&#9670;&nbsp;</a></span>boundary_update_bc_r1()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine sd_boundary::boundary_update_bc::boundary_update_bc_r1 </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structdata__xx__defs_1_1bc__r1__.html">bc_r1_</a>), intent(inout), target&#160;</td>
          <td class="paramname"><em>bc_r1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__boundary__defs_1_1boundary__.html">boundary_</a>), intent(in), target&#160;</td>
          <td class="paramname"><em>boundary</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a303635691c229c64926042473f2957d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a303635691c229c64926042473f2957d6">&#9670;&nbsp;</a></span>boundary_update_bc_unit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine sd_boundary::boundary_update_bc::boundary_update_bc_unit </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__bc__defs__m_1_1bc__unit__.html">bc_unit_</a>), pointer&#160;</td>
          <td class="paramname"><em>first_bc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad3168c991c758f608d1c5205411a61d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3168c991c758f608d1c5205411a61d9">&#9670;&nbsp;</a></span>boundary_update_shared_bc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine sd_boundary::boundary_update_bc::boundary_update_shared_bc </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__bc__defs__m_1_1shared__bc__.html">shared_bc_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>shared_bc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this interface was generated from the following file:<ul>
<li><a class="el" href="sd__boundary_8f90.html">sd_boundary.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
